/*
 * Block.cpp
 *
 *  Created on: Apr 4, 2011
 *      Author: lipari
 */

#include "Block.h"
#include "Visitor.h"

Block::Block(unsigned n_in, unsigned n_out) : outputs(n_out, *this), inputs(n_in) {}

Block::Block(const Block &b) : outputs(b.outputs), inputs(b.inputs) {}

void Stateless::accept(Visitor *v)
{
	v->visit(this);
}

void Stateful::accept(Visitor *v)
{
	v->visit(this);
}
